/* Base */
@font-face {
    font-family: "Alegreya SC";
    src: url("./font/Alegreya-Regular.ttf") format("truetype");
    font-weight: 400; 
    font-style: normal;
    font-display: swap; /* use a fallback font until the custom font loads */
}

body {
    font-family:"Alegreya SC", monospace;
    margin: 0;
    background: white;
}

label {
    cursor: pointer;
    font-size: 14px;
}

/* Header */
.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #cc0000;
    /* Increase padding slightly for mobile breathing room */
    padding: 10px 20px; 
    min-height: 60px;
}

.site-title {
    color: white;
/* Fluid font-size: Minimum 22px, Maximum 30px */
    font-size: clamp(25px, 5vw, 33px);
    font-weight: bold;
}

/* Filter Check Boxes */
.filters {
    display: flex;
    gap: 15px 23px;
    flex-wrap: wrap;
    padding: 12px 1rem;
    background: white;
    border-bottom: 1px solid #eee;
}

#map {
    height: 80vh;
    background: white;
}

/* Tabs */
.tabs {
    font-family: "Alegreya SC", monospace;
    display: flex;
}

.tabs button {
    font-family: inherit; /* This is the missing piece! */
    background: none;
    border: none;
    color: white;
    cursor: pointer;
    font-size: clamp(23px, 4vw, 33px);
    /* Padding ensures the button is at least 48px tall for easy tapping */
    padding: 14px 22px;
    font-size: 30px;
    transition: background 0.3s;
}

.tabs button:hover {
    background-color: #444;
}

.tabs button.active {
    border-bottom: 3px solid #f39c12;
}

/* Tab Content sections */
.tab-content {
    display: none;
    font-size: clamp(25px, 5vw, 33px);
    padding: 12px 20px;
    animation: fadeIn 0.4s ease-in;
}

.tab-content.active {
    display: block;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Leaflet Popup Styles */
.leaflet-popup-content {
    font-size: 16px; 
    line-height: 1.5;
}

/* Badge Styles */
.badge {
    display: inline-block;
    font-size: 16px;
    padding: 2px 6px;
    border-radius: 4px;
    margin-left: 4px;
}

.badge.pokemon {
    background: #cc0000;
    color: #fbfdff;
}

.badge.yugioh {
    background: #ffcb05;
    color: #2a75bb;
}

.badge.mtg {
    background: #692a00;
    color: #ffe13a;
}

.badge.onepiece {
    background: #ffcb05;
    color: #2a75bb;
}

.badge.digimon {
    background: #ea00ff;
    color: #ffffff;
}

